Subject: Re: bug#13222: 24.2; C-c C-c in shell mode on OSX sends SIGINT

From: Andreas Schwab <[email-masked]>
Date: Wed, 19 Dec 2012 09:55:14 +0100

"Tim Daly Jr." <[email-masked]> writes:

> If you ssh someplace in shell mode and hit C-c C-c, it kills the ssh
> process.  It wasn't always that way.  The intended effect is just to
> kill the foreground process on the remote host, as if you'd hit C-c
> at a terminal.

It looks like Darwin doesn't have SIGNALS_VIA_CHARACTERS defined.  Since
it's BSD-like I'd guess it really should.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."